求助,重新安装7.1.1后,我的资料库错误


#1

debian 10,Seafile 7.1.1 beta,Python 3.7.3,按教程指引安装完成之后,启动seafile与seahub无异常。

进入默认本地Web http://127.0.0.1:8000,可以看到登录页面,并能通过seahub初始化帐号进行登录,登录成功后

无法访问资料库,页面上调用 /api/v2.1/repos/?type=mine 报错500

conf/seahub.log

2020-02-18 04:38:49,036 [WARNING] django.request:152 get_response Not Found: /media/avatars/default.png
2020-02-18 04:38:49,300 [ERROR] django.request:135 handle_uncaught_exception Internal Server Error: /api/v2.1/repos/
Traceback (most recent call last):
  File "/opt/seafile/seafile-server-7.1.1/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py", line 88, in _get_transport
    transport = self._pool.get(False)
  File "/usr/lib/python3.7/queue.py", line 167, in get
    raise Empty
_queue.Empty

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/seafile/seafile-server-7.1.1/seahub/thirdpart/django/core/handlers/exception.py", line 41, in inner
    response = get_response(request)
  File "/opt/seafile/seafile-server-7.1.1/seahub/thirdpart/django/core/handlers/base.py", line 249, in _legacy_get_response
    response = self._get_response(request)
  File "/opt/seafile/seafile-server-7.1.1/seahub/thirdpart/django/core/handlers/base.py", line 187, in _get_response
    response = self.process_exception_by_middleware(e, request)
  File "/opt/seafile/seafile-server-7.1.1/seahub/thirdpart/django/core/handlers/base.py", line 185, in _get_response
    response = wrapped_callback(request, *callback_args, **callback_kwargs)
  File "/opt/seafile/seafile-server-7.1.1/seahub/thirdpart/django/views/decorators/csrf.py", line 58, in wrapped_view
    return view_func(*args, **kwargs)
  File "/opt/seafile/seafile-server-7.1.1/seahub/thirdpart/django/views/generic/base.py", line 68, in view
    return self.dispatch(request, *args, **kwargs)
  File "/opt/seafile/seafile-server-7.1.1/seahub/thirdpart/rest_framework/views.py", line 505, in dispatch
    response = self.handle_exception(exc)
  File "/opt/seafile/seafile-server-7.1.1/seahub/thirdpart/rest_framework/views.py", line 465, in handle_exception
    self.raise_uncaught_exception(exc)
  File "/opt/seafile/seafile-server-7.1.1/seahub/thirdpart/rest_framework/views.py", line 476, in raise_uncaught_exception
    raise exc
  File "/opt/seafile/seafile-server-7.1.1/seahub/thirdpart/rest_framework/views.py", line 502, in dispatch
    response = handler(request, *args, **kwargs)
  File "/opt/seafile/seafile-server-7.1.1/seahub/seahub/api2/endpoints/repos.py", line 90, in get
    ret_corrupted=True)
  File "/opt/seafile/seafile-server-7.1.1/seafile/lib/python3.6/site-packages/seaserv/api.py", line 137, in get_owned_repo_list
    start, limit)
  File "/opt/seafile/seafile-server-7.1.1/seafile/lib/python3.6/site-packages/pysearpc/client.py", line 126, in newfunc
    ret_str = self.call_remote_func_sync(fcall_str)
  File "/opt/seafile/seafile-server-7.1.1/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py", line 100, in call_remote_func_sync
    transport = self._get_transport()
  File "/opt/seafile/seafile-server-7.1.1/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py", line 90, in _get_transport
    transport = self._create_transport()
  File "/opt/seafile/seafile-server-7.1.1/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py", line 83, in _create_transport
    transport.connect()
  File "/opt/seafile/seafile-server-7.1.1/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py", line 47, in connect
    self.pipe.connect(self.socket_path)
ConnectionRefusedError: [Errno 111] Connection refused

#2

重复安装过多次,重启过机器,gc、memcached都尝试过,没有解决问题


#3

楼主你好,我遇到了和你一样的问题,解决方法是把 seafile/seafile-server-7.1.2/runtime 目录的所有者改为 seafile 用户,具体命令如下:

cd seafile/seafile-server-7.1.2/runtime
chown -R seafile:seafile .

#4

谢谢回复,后来使用了别的方案,毕竟只是个人使用

原来排错的时候,在seafile的根目录 chown -R 过,似乎没用,等有人再次出现这个问题再尝试把


#5

楼主怎么解决的?我也遇到这个问题了,授权不起作用


#6

好像是新版ccnet从原来的网络端口切换到unix.socket引发的,ccnet变更了配置项,但是不知道该怎么配置才管用